#This Rules set is used to compile the FTT modules


RULES_LOADED=FALSE

#######RTL
ifeq ($(COMPILE_RTLPRO),TRUE)

include $(FTT_BASE)/misc/make-rules/Rules.rtl.mk
CFLAGS += $(M_FLAGS)

DEPS_RTL := $(patsubst %.o,.d.%.c, $(OBJS_RTL))
DEPS_RTL += $(patsubst %.o,.d.%.c, $(ALSO_CLEAN))

-include $(DEPS_RTL)

clean_deps:
	@rm -rf $(DEPS_RTL)
clean_internals:
	@rm -rf $(OBJS_RTL) $(LIBS_RTL) $(ALSO_CLEAN)
distclean_internals:
	@rm -rf $(TARGET_FILES)

RULES_LOADED=TRUE

else
#######L26
ifeq ($(COMPILE_L26),TRUE)
include $(FTT_BASE)/misc/make-rules/Rules.linux.mk
L26FLAGS += $(M_FLAGS)

DEPS_LINUX := $(patsubst %.o,.d.%.c, $(OBJS_LINUX))
DEPS_LINUX += $(patsubst %.o,.d.%.c, $(ALSO_CLEAN))

-include $(DEPS_LINUX)

clean_deps:
	@rm -rf $(DEPS_LINUX)
clean_internals:
	@rm -rf $(OBJS_LINUX) $(LIBS_LINUX) $(ALSO_CLEAN)
distclean_internals:
	@rm -rf $(TARGET_FILES)

RULES_LOADED=TRUE

else
#######QNXNTO
ifeq ($(COMPILE_QNX),TRUE)
include $(FTT_BASE)/misc/make-rules/Rules.qnx.mk
QNXFLAGS += $(M_FLAGS)

DEPS_QNX := $(patsubst %.o,.d.%.c, $(OBJS_QNX))
DEPS_QNX += $(patsubst %.o,.d.%.c, $(ALSO_CLEAN))

-include $(DEPS_QNX)

clean_deps:
	@rm -rf $(DEPS_QNX)
clean_internals:
	@rm -rf $(OBJS_QNX) $(LIBS_QNX) $(ALSO_CLEAN)
distclean_internals:
	@rm -rf $(TARGET_FILES)

RULES_LOADED=TRUE

else
#######NONE WAS SELECTED
#clean_deps clean_internals distclean_internals:
#	@COMPILE_RTLPRO=TRUE make $@ -s
#	@COMPILE_L26=TRUE make $@ -s
clean_deps:
	@rm -rf $(DEPS_LINUX) $(DEPS_QNX) $(DEPS_RTL)
clean_internals:
	@rm -rf $(OBJS_QNX) $(LIBS_QNX) $(OBJS_LINUX) $(LIBS_LINUX) $(OBJS_RTL) $(LIBS_RTL) $(ALSO_CLEAN)
distclean_internals:
	@rm -rf $(TARGET_FILES)

endif
endif
endif

