#!/bin/bash
#To be run from the base directory

FTT_PATH="../"

C_FILES=$(find $FTT_PATH/. -name *.c)
H_FILES=$(find $FTT_PATH/. -name *.h)

ALL_FILES="$C_FILES $H_FILES"


for i in $ALL_FILES; do
	echo "$(basename $i)"

	if ! grep -q Copyright $i;  then
		cat copyright.txt | sed s/FILE/$(basename $i)/g > /tmp/copyfile
		cat /tmp/copyfile $i >$i.new && mv $i.new $i
	fi
done




