/*****************************************************************************
 * ethernet.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef ETHERNET_H
#define ETHERNET_H

//#define ETH_Dest_addr(_buf)	((unsigned char *)_buf+0)
//#define ETH_Source_addr(_buf)	((unsigned char *)_buf+6)
//#define ETH_Type_addr(_buf)	((unsigned char *)_buf+12)
//#define ETH_Data_addr(_buf)	((unsigned char *)_buf+14)

#ifdef ETHERNET_LAYER_C
extern signed char ETH_init(unsigned char dev_num, char *dev_name, unsigned char *ret_mac);
extern signed char ETH_close(void);

extern void ETH_rx_assignement(void *fun);
extern void ETH_rx_deassign (void);
extern signed char ETH_pre_reserve_buffer( unsigned char **ret_buf_p );
extern signed char ETH_un_reserve_buffer(void);
extern signed char ETH_Send_MessageBuffer(unsigned char *buf, unsigned short m_size);
#endif


#endif
