/*****************************************************************************
 * M_SW_add_table.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef M_SW_ADD_TABLE_H
#define M_SW_ADD_TABLE_H


extern signed char M_SW_Init(void);
extern signed char M_SW_add_table_init_check(void);

extern signed int M_SW_subscribe_node( unsigned char *input_MAC, unsigned char lease_time  );

extern signed int M_SW_unsubscribe_node( unsigned char index_id );


extern unsigned char M_SW_is_idx_in_use( unsigned char index_id );
extern unsigned char M_SW_get_mac( unsigned char index_id, unsigned char *mac );

extern signed char M_SW_downall_lease_time(void);
extern signed char M_SW_heartbeat( unsigned char index_id, unsigned char seq_no, unsigned char *last_seq_no );

extern void M_SW_Print(void);

#endif
