/*****************************************************************************
 * S_nodeID.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef S_NODEID_H
#define S_NODEID_H

extern void S_nodeID_write(unsigned char id);
extern signed short S_nodeID_read(void);
extern signed char S_nodeID_Init(unsigned char *mac);
extern signed char S_nodeID_Close(void);

extern unsigned char *S_Get_My_mac(void);
extern unsigned char *S_Get_Master_mac(void);
extern void S_Set_Master_mac(unsigned char *mac);

#endif
