/*****************************************************************************
 * M_int_nodes_db.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/


#ifndef  M_INT_NODES_DB_H
#define  M_INT_NODES_DB_H

extern signed char M_int_nodes_db_Init( void );
extern signed char M_int_nodes_db_Close( void );
extern signed char M_int_nodes_db_Add( unsigned short nodeID, unsigned short app_id );
extern signed char M_int_nodes_db_Get_nodeID( unsigned short app_id, unsigned short *nodeID );
extern signed char M_int_nodes_db_Get_appID( unsigned short NodeID, unsigned short *app_id );
extern signed short M_int_nodes_db_Get_a_free_appID( void );
extern signed char M_int_nodes_db_Init_check( void );
extern signed char M_int_nodes_db_remove( unsigned short node_id );
extern void M_int_nodes_db_PrintTable( void );

#endif   /* ----- #ifndef M_INT_NODES_DB_FILE_HEADER_INC  ----- */

