/*****************************************************************************
 * M_int_req_queuing.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/


#ifndef  M_INT_REQ_QUEUING_H
#define  M_INT_REQ_QUEUING_H

#include "request_cmds.h"

extern signed char M_int_req_queuing_Init(void);
extern signed char M_int_req_queuing_Close(void);

extern signed char M_int_req_queuing_Submit_req(
		unsigned char nodeID_source,
		unsigned short app_asynch_id,
		REQ_COMMANDS command_type,
		unsigned char *command_data,
		signed int *return_code );


#endif   /* ----- #ifndef M_INT_REQ_QUEUING_FILE_HEADER_INC  ----- */

