/*****************************************************************************
 * S_int_bind_table.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef  S_INT_BIND_TABLE_H
#define  S_INT_BIND_TABLE_H
#include "S_ftt-core.layer.h"

extern signed char S_int_bind_table_Init( void );

extern signed char S_int_bind_table_Close( void );

//extern signed char S_int_bind_table_Add( M_INT_APP_MSG_ID app_id, unsigned short ftt_id, FTT_SIGNAL *sig );

extern signed char S_int_bind_table_Add_ftt_id( M_INT_APP_MSG_ID app_id, unsigned short ftt_id );
extern signed char S_int_bind_table_Add_signal( M_INT_APP_MSG_ID app_id, FTT_SIGNAL *sig );

extern signed char S_int_bind_table_Del( M_INT_APP_MSG_ID app_id );

extern signed char S_int_bind_table_Del_signal( M_INT_APP_MSG_ID app_id );

extern unsigned char S_int_bind_table_Isthere( M_INT_APP_MSG_ID app_id, unsigned short *ftt_id, FTT_SIGNAL **ret_sig );

#endif   /* ----- #ifndef S_INT_BIND_TABLE_H  ----- */

