ifndef FTT_BASE
include errrrrror
endif

include $(FTT_BASE)/config/FTT.cfg

FTT_COMPILE_OPT =

ifeq ($(USE_FTT_INTERNAL_MEMORY_POOL),TRUE)
FTT_COMPILE_OPT += -DUSE_FTT_INTERNAL_POOL
endif

ifeq ($(USE_ETM),TRUE)
FTT_COMPILE_OPT += -DELASTIC_TM
endif

ifeq ($(MASTER_USE_EDF),TRUE)
FTT_COMPILE_OPT += -DEDF_SCHED
else
FTT_COMPILE_OPT += -DRM_SCHED
endif

ifeq ($(USE_LONG_SVARS),TRUE)
FTT_COMPILE_OPT += -DUSE_LONG_SVARS
endif

ifeq ($(USE_SW_ETHERNET),TRUE)
FTT_COMPILE_OPT += -DSW_ETHERNET
else
FTT_COMPILE_OPT += -DSHARED_ETHERNET
endif

ifeq ($(SW_UNICAST),TRUE) #if unicast
FTT_COMPILE_OPT += -DSW_UNICAST
else			#else multicast
FTT_COMPILE_OPT += -DSW_BROADCAST
endif

ifeq ($(SLAVE_PARPORT_DEBUG),TRUE)
FTT_COMPILE_OPT += -DSLAVE_PARPORT_DEBUG
endif

ifeq ($(MASTER_PARPORT_DEBUG),TRUE)
FTT_COMPILE_OPT += -DMASTER_PARPORT_DEBUG
endif

ifeq ($(FTT_SLAVE_WITHOUT_MASTER),TRUE)
FTT_COMPILE_OPT += -DFTT_SLAVE_WITHOUT_MASTER
endif

ifeq ($(FTT_FIFO_LOG),TRUE)
FTT_COMPILE_OPT += -DFTT_FIFO_LOG
endif

ifeq ($(FTT_MASTER_AS_SWITCH),TRUE)
FTT_COMPILE_OPT += -DFTT_MASTER_AS_SWITCH
endif

ifeq ($(FTT_MASTER_SRDB_REQ_QUEUE),TRUE)
FTT_COMPILE_OPT += -DREQ_QUEUE
endif

ifeq ($(FTT_VARS_SIZE_DYNAMIC_CHANGE),TRUE)
FTT_COMPILE_OPT += -DSEND_TOTAL_SIZE
endif

ifeq ($(FTT_FRAGMENTATION_VARS_SEQNO),TRUE)
FTT_COMPILE_OPT += -DFRAGMENT_SEQ_NO
endif
ifeq ($(FTT_NODE_ASYNCHRONOUS_STATUS_REPLY),TRUE)
FTT_COMPILE_OPT += -DNODE_ASYNC_REPLY
endif

