#!/bin/bash

#This script is to be run from ./ (its location)

####################################################################
#Coping the includes from each model to the common pool ./include/modules

mkdir -p modules

for i in $( find ../src/modules/. -type f | grep -v svn |grep include ); do
	cp $i modules/.
done
cp ../src/modules/ftt-slave.h .
cp ../src/modules/ftt-master.h .


####################################################################
#Filling the ftt-slave.h with the Slave's interface layer prototype

TEMP_FILE="/tmp/fsdnhfjsdgkgfkg.txt"

cat ftt-slave.h | sed -n -e '1,/PLACEHERE/p' | sed -e '/PLACEHERE/d' >$TEMP_FILE

#Add the include files
#grep "#include" modules/S_ftt-interface.layer.h  >>$TEMP_FILE
echo '#include "./modules/ftt-interface.layer_types.h"'  >>$TEMP_FILE


#Add the Interface include stuff
cat modules/S_ftt-interface.layer.h | sed -e '1,/Begin application/d' -e '/End application/,$ d' >> $TEMP_FILE


cat ftt-slave.h | sed -n -e '/PLACEHERE/,$p'| sed -e '/PLACEHERE/d' >>$TEMP_FILE

cat $TEMP_FILE > ftt-slave.h


####################################################################
#Filling the ftt-master.h with the Master and Slave's interface layer prototype

TEMP_FILE="/tmp/fsdnhfjsdgkgfkg.txt"

cat ftt-master.h | sed -n -e '1,/PLACEHERE/p' | sed -e '/PLACEHERE/d' >$TEMP_FILE

#Add the include files
#grep "#include" modules/M_ftt-interface.layer.h  >> $TEMP_FILE
echo '#include "./modules/ftt-interface.layer_types.h"'  >>$TEMP_FILE

#Add the Interface include stuff
cat modules/M_ftt-interface.layer.h | sed -e '1,/Begin application/d' -e '/End application/,$ d' >> $TEMP_FILE
#cat modules/S_ftt-interface.layer.h | sed -e '1,/Begin application/d' -e '/End application/,$ d' >> $TEMP_FILE

cat ftt-master.h | sed -n -e '/PLACEHERE/,$p'| sed -e '/PLACEHERE/d' >>$TEMP_FILE

cat $TEMP_FILE > ftt-master.h
