/*****************************************************************************
 * S_sig_backup.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef S_SIG_BACKUP_H
#define S_SIG_BACKUP_H

extern signed char S_sig_backup_Init(void);
extern signed char S_sig_backup_Close(void);

extern signed char S_sig_backup_push( unsigned char seq_no, void *mem_p, unsigned short size );
extern signed char S_sig_backup_pull( unsigned char seq_no, void **mem_p, unsigned short *ret_size );




#endif
