/*****************************************************************************
 * M_int_req_queue.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef  M_INT_REQ_QUEUE_H
#define  M_INT_REQ_QUEUE_H
#include "request_cmds.h"

extern signed char M_int_req_queue_Init(void);
extern signed char M_int_req_queue_Close(void);


extern signed char M_int_req_queue_Get_cmd( unsigned int req_uid, M_INT_MSG_TYPE *command_type, void *command_data);
extern signed char M_int_req_queue_Append_cmd(unsigned int req_uid, M_INT_MSG_TYPE command_type,void *command_data, unsigned short command_size);
extern signed char M_int_req_queue_Abort_cmds ( unsigned int req_uid );


#endif   /* ----- #ifndef M_INT_REQ_QUEUE_FILE_HEADER_INC  ----- */

