/*****************************************************************************
 * S_int_async_ch.h:
 *****************************************************************************
 * Copyright (C) 2006-2012 the FTT-SE team.
 *
 * Author: Ricardo Marau <marau at fe.up.pt>
 *
 * FTT-SE is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  FTT-SE is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FTT-SE.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/

#ifndef  S_INT_ASYNC_CH_H
#define  S_INT_ASYNC_CH_H

extern signed char S_int_async_ch_Init(unsigned char app_id);
extern signed char S_int_async_ch_Close(void);
extern unsigned char S_int_Block_on_initialization(unsigned int *ret_ec_len_us);

extern signed char S_int_async_ch_SendCMD( unsigned char *buf, unsigned short size );
extern signed char S_int_async_ch_GetCMD_blocking ( unsigned char *buf, unsigned short buf_max_size );

#endif   /* ----- #ifndef S_INT_ASYNC_CH_FILE_HEADER_INC  ----- */

